/**
 * A load profile is a class which exposes:
 *   - An `evaluate` method that returns an integer representing the expected load at a point in time.
 *   - An object which describes the configuration parameters necessary to describe the load profile.
 *   - An identifier for the load profile.
 *
 * @TODO Do load profiles need to be classes? Can they just be methods instead with (duration, maxLoad, ...) as
 * arguments?
 * @TODO Should load profiles expose methods which return JSX so that configuration can be cleanly contained within the
 * profile definition? Does it make sense to include that under the "main" process in the repository structure?
 */
module.exports = {
  constant: require('./constant'),
  ramp: require('./ramp')
};
